Subject: Re: bug#41340: 26.3; ido-completing-read doesn't respect completion-auto-help

From: "Ryan C. Thompson" <[email-masked]>
Date: Sat, 16 May 2020 20:12:51 -0400

On 5/16/20 7:55 PM, Dmitry Gutov wrote:
> Hi Ryan,
>
> On 17.05.2020 02:46, Ryan C. Thompson wrote:
>> This can be fixed manually by setting ido-cannot-complete-command to 
>> ignore, but it might be nice if ido-completion-help (the default 
>> value of ido-cannot-complete-command) was a no-op when 
>> completion-auto-helpis nil.
>
> Care to propose a patch?

One minor wrinkle is that completion-auto-help has 3 valid values: nil, 
t, and lazy. I'm not sure I understand the difference between t and 
lazy, so I'm also unsure as to how to apply them to ido. In my testing, 
both t and lazy seem to result in the identical behavior in 
completing-read-default.